<div class="row">
  <div class="col-4">
    <div class="card">
      <img src="{{member.photoUrl || './assets/user.png'}}" alt="{{member.knownAs}}" class="card-img-top img-thumbnail">
      <div class="card-body">
        <div>
          <strong>Location:</strong>
          <p>{{member.city}}, {{member.country}}</p>
        </div>
        <div>
          <strong>Age:</strong>
          <p>{{member.age}}</p>
        </div>
        <div>
          <strong>Last active:</strong>
          <p>{{member.lastActive | timeago}}</p>
        </div>
        <div>
          <strong>Member since:</strong>
          <p>{{member.created | date: 'dd.MM.YYYY'}}</p>
        </div>
      </div>
      <div class="card-footer">
        <div class="btn-group d-flex">
          <button class="btn btn-primary">Like</button>
          <button class="btn btn-success"
                  (click)="selectTab(3)">
            Message
          </button>
        </div>
      </div>
    </div>
  </div>
  <div class="col-8">
    <tabset class="member-tabset" #memberTabs>
      <tab heading="About {{member.knownAs}}" (selectTab)="onTabActivated($event)">
        <h4>Description</h4>
        <p>{{member.introduction}}</p>
        <h4>Looking for</h4>
        <p>{{member.lookingFor}}</p>
      </tab>

      <tab heading="Interests" (selectTab)="onTabActivated($event)">
        <h4>Interests</h4>
        <p>{{member.interests}}</p>
      </tab>

      <tab heading="Photos" (selectTab)="onTabActivated($event)">
        <ngx-gallery [options]="galleryOptions" [images]="galleryImages"
                     style="display: inline-block; margin-bottom: 20px;"></ngx-gallery>
      </tab>

      <tab heading="Messages" (selectTab)="onTabActivated($event)">
        <app-member-messages [messages]="messages" [username]="member.username"></app-member-messages>
      </tab>
    </tabset>
  </div>
</div>
